Bug 472539 - g++: Internal error: Segmentation fault (program cc1plus)
g++: Internal error: Segmentation fault (program cc1plus)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
: 472816 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-21 11:17 EST by Tom "spot" Callaway
Modified: 2009-07-14 10:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:12:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2008-11-21 11:17:27 EST
QuantLib 0.9.7 exposed a g++ bug in Fedora 9:

from: 
http://koji.fedoraproject.org/koji/buildinfo?buildID=70463
http://koji.fedoraproject.org/koji/getfile?taskID=943345&name=build.log

if g++ -DHAVE_CONFIG_H -I. -I. -I../ql  -I.. -I.. -DQL_WORKING_BOOST_STREAMS -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -fpermissive  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -MT solvers.o -MD -MP -MF ".deps/solvers.Tpo" -c -o solvers.o solvers.cpp; \
	then mv -f ".deps/solvers.Tpo" ".deps/solvers.Po"; else rm -f ".deps/solvers.Tpo"; exit 1; fi
{standard input}: Assembler messages:
{standard input}:16469: Warning: end of file not at end of a line; newline inserted
g++: Internal error: Segmentation fault (program cc1plus)
Please submit a full bug report.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
make[1]: *** [riskstats.o] Error 1
make[1]: *** Waiting for unfinished jobs....
make[1]: Leaving directory `/builddir/build/BUILD/QuantLib-0.9.7/test-suite'
make: *** [all-recursive] Error 1

QuantLib 0.9.7 built properly in the Fedora 10 buildroot, so this is likely a bug that is fixed in later gcc.
Comment 1 Jakub Jelinek 2008-11-27 08:02:08 EST
*** Bug 472816 has been marked as a duplicate of this bug. ***
Comment 2 Bug Zapper 2009-06-09 23:19:33 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 10:12:10 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.